Name:		mcrypt
Version:	2.6.8
Release:	1
License:	GPLv3+
Group:		Applications/System
Summary:	Replacement for crypt()
URL:		http://mcrypt.sourceforge.net/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# From upstream, a combination of:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1191020&group_id=87941&atid=584895
# http://sourceforge.net/tracker/index.php?func=detail&aid=1872812&group_id=87941&atid=584895
Patch0:         mcrypt-rfc2440-bugfixes-%{version}.patch
# From upstream:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1872809&group_id=87941&atid=584895
Patch1:         mcrypt-2.6.7-format_strings.patch
# Upstream:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1829488&group_id=87941&atid=584895
Patch2:         mcrypt-2.6.7-gaafix.patch
# Upstream:
# http://sourceforge.net/tracker/index.php?func=detail&aid=2075758&group_id=87941&atid=584895
Patch3:         mcrypt-2.6.7-native-by-default.patch
Patch4:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libmcrypt-devel, mhash-devel, gettext, zlib-devel
BuildRequires:	patch
Requires:	libmcrypt, mhash, zlib
Requires:	gettext

%description
MCrypt is a replacement for the old crypt() package and crypt(1) command, 
with extensions. It allows developers to use a wide range of encryption 
functions, without making drastic changes to their code. It allows users 
to encrypt files or data streams without having to be cryptographers. 


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1
%patch1 -p1 -b .format_strings
%patch2 -p1 -b .gaafix
%patch3 -p1 -b .native_by_default
%patch4


%build
export CC=xlc
export LDFLAGS="-Wl,-brtl"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Jul 22 2010 Michael Perzl <michael@perzl.org> - 2.6.8-1
- updated to version 2.6.8

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 2.6.7-2
- removed dependency on gettext >= 0.17

* Thu Aug 14 2008 Michael Perzl <michael@perzl.org> - 2.6.7-1
- first version for AIX V5.1 and higher
